Jump to content

Convert spline to polyline


Hải_Duy

Recommended Posts

Maybe run overkill ?

 

Quote

: OVERKILL
0 duplicate(s) deleted
4055 overlapping entities or segment(s) deleted

 

still not enough you are going to have to redraw the radius. that is where most of the points are.

Link to comment
Share on other sites

pedit?  then select the spline, though this converts the arcs to short lines of the length you specify. You can choose a short length

 

and then http://www.theswamp.org/index.php?topic=19865.msg244892#msg244892 might do it, , I guess 'A' which is the last offering on that page.

 

Will reduce straight edges in the polyline to a single vertex but the curves will still be short line segments

 

 

 

Wish I hadn't seen this because I think there it is possible to make a much better LISP to include arcs instead of straight lines in resulting polyline

Link to comment
Share on other sites

Did the shape come from a manufacturer that way as a dwg ? Its almost done that way to make it harder to edit. Almost want to trace over with straights and then fillet joining 2 straights.

 

How many shapes involved ? 

 

 

 

Link to comment
Share on other sites

(defun c:spl2pl ( / ss i ent ss3 ss2 obj cpcount j )
  (princ "\n Select spline to convert to pline : ")
  (setq ss (ssget '((0 . "SPLINE"))))
  (setq i 0)
  (setq ss3 (ssadd))
  (repeat (sslength ss)
    (setq ent (ssname ss i))
    (command "_explode" ent "")
    (setq ss2 (ssget "_P"))
    (setq j 0)
    (repeat (sslength ss2)
      (setq ent2 (ssname ss2 j))
      (setq obj (vlax-ename->vla-object ent2))
      (setq cpcount (vlax-get-property obj 'Numberofcontrolpoints))
      (command "_SPLINEDIT" ent2 "_P" cpcount "")
      (ssadd (entlast) ss3)
      (setq j (+ j 1))
    )
    (setq i (+ i 1))
  )
  (if (> (sslength ss3) 1) 
    (progn 
      (command "_pedit" "_M" ss3 "" "J" "0" "")
    )
    (progn 
      (command "_pedit" ss3 "")
    )
  )
  (princ)
)

 

1. Roughly, i think this is not you want

 

2. use wmf

 zoom > object 

 wmfout

 wmfin 

 explode it 

 you get 2dpolyline automatically, > scale it and convert 

 

3. save as drawing or wblock spline to oldest .dxf version as you can, ex) R12

and then reopen it.

it changed to 3dpolyline

explode it and then mpedit join them all

Edited by exceed
  • Like 3
Link to comment
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.

Guest
Unfortunately, your content contains terms that we do not allow. Please edit your content to remove the highlighted words below.
Reply to this topic...

×   Pasted as rich text.   Restore formatting

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

×
×
  • Create New...